import dynamix_sdk.base as _base


class CloudapiK8sWorkerResetResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sWorkerResetProtocol(_base.BasePostAPIFunctionProtocol):
    def worker_reset(
        self,
        *,
        k8s_id: int,
        worker_group_id: int,
        worker_node_id: int,
    ) -> CloudapiK8sWorkerResetResultBool:
        ...
